package org.kaoriha.jspbp;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Behind bean for POST method must implement this.
 * @author NAKAZATO Hajime
 */
public interface BeforePostable {
	/**
	 * jspbp calls this before filter chain.
	 * @param request
	 * @param response
	 * @throws IOException
	 * @throws ServletException
	 */
	void beforePost(HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException;
}
