package org.kaoriha.jspbp.taglib;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;

public class TextAreaTag extends TagSupport {
	private TextAreaTagAttr attr = new TextAreaTagAttr();

	@Override
	public int doStartTag() throws JspException {
		try {
			attr.doStartTag(pageContext);
		} catch (Exception e) {
			throw new JspException("TextAreaTag#doStartTag failed.", e);
		}
		return SKIP_BODY;
	}

	public String getAccesskey() {
		return attr.getAccesskey();
	}

	public String getCols() {
		return attr.getCols();
	}

	public String getCssClass() {
		return attr.getCssClass();
	}

	public String getDir() {
		return attr.getDir();
	}

	public String getDisabled() {
		return attr.getDisabled();
	}

	public String getId() {
		return attr.getId();
	}

	public String getLang() {
		return attr.getLang();
	}

	public String getOnblur() {
		return attr.getOnblur();
	}

	public String getOnchange() {
		return attr.getOnchange();
	}

	public String getOnclick() {
		return attr.getOnclick();
	}

	public String getOndblclick() {
		return attr.getOndblclick();
	}

	public String getOnfocus() {
		return attr.getOnfocus();
	}

	public String getOnkeydown() {
		return attr.getOnkeydown();
	}

	public String getOnkeypress() {
		return attr.getOnkeypress();
	}

	public String getOnkeyup() {
		return attr.getOnkeyup();
	}

	public String getOnmousedown() {
		return attr.getOnmousedown();
	}

	public String getOnmousemove() {
		return attr.getOnmousemove();
	}

	public String getOnmouseout() {
		return attr.getOnmouseout();
	}

	public String getOnmouseup() {
		return attr.getOnmouseup();
	}

	public String getOnselect() {
		return attr.getOnselect();
	}

	public String getProperty() {
		return attr.getProperty();
	}

	public String getReadonly() {
		return attr.getReadonly();
	}

	public String getRows() {
		return attr.getRows();
	}

	public String getStyle() {
		return attr.getStyle();
	}

	public String getTabindex() {
		return attr.getTabindex();
	}

	public String getTitle() {
		return attr.getTitle();
	}

	public void setAccesskey(String accesskey) {
		attr.setAccesskey(accesskey);
	}

	public void setCols(String cols) {
		attr.setCols(cols);
	}

	public void setCssClass(String cssClass) {
		attr.setCssClass(cssClass);
	}

	public void setDir(String dir) {
		attr.setDir(dir);
	}

	public void setDisabled(String disabled) {
		attr.setDisabled(disabled);
	}

	public void setId(String id) {
		attr.setId(id);
	}

	public void setLang(String lang) {
		attr.setLang(lang);
	}

	public void setOnblur(String onblur) {
		attr.setOnblur(onblur);
	}

	public void setOnchange(String onchange) {
		attr.setOnchange(onchange);
	}

	public void setOnclick(String onclick) {
		attr.setOnclick(onclick);
	}

	public void setOndblclick(String ondblclick) {
		attr.setOndblclick(ondblclick);
	}

	public void setOnfocus(String onfocus) {
		attr.setOnfocus(onfocus);
	}

	public void setOnkeydown(String onkeydown) {
		attr.setOnkeydown(onkeydown);
	}

	public void setOnkeypress(String onkeypress) {
		attr.setOnkeypress(onkeypress);
	}

	public void setOnkeyup(String onkeyup) {
		attr.setOnkeyup(onkeyup);
	}

	public void setOnmousedown(String onmousedown) {
		attr.setOnmousedown(onmousedown);
	}

	public void setOnmousemove(String onmousemove) {
		attr.setOnmousemove(onmousemove);
	}

	public void setOnmouseout(String onmouseout) {
		attr.setOnmouseout(onmouseout);
	}

	public void setOnmouseup(String onmouseup) {
		attr.setOnmouseup(onmouseup);
	}

	public void setOnselect(String onselect) {
		attr.setOnselect(onselect);
	}

	public void setProperty(String property) {
		attr.setProperty(property);
	}

	public void setReadonly(String readonly) {
		attr.setReadonly(readonly);
	}

	public void setRows(String rows) {
		attr.setRows(rows);
	}

	public void setStyle(String style) {
		attr.setStyle(style);
	}

	public void setTabindex(String tabindex) {
		attr.setTabindex(tabindex);
	}

	public void setTitle(String title) {
		attr.setTitle(title);
	}
}
