package org.kaoriha.jspbp;

import java.io.IOException;

import org.kaoriha.jspbp.test.MockResponse;

import junit.framework.Assert;
import junit.framework.TestCase;

public class DelegateResponseTest extends TestCase {
	public void testParseQuery() throws IOException {
		MockResponse response = new MockResponse();
		DelegateResponse dr = new DelegateResponse(response, "/test/test.jsp");
		dr.setPersistentId("test");
		dr.sendRedirect("/test/test.jsp?q=v");
		Assert.assertTrue(response.redirectLocation.equals("/test/test.jsp?q=v&persistentId=test")
				|| response.redirectLocation.equals("/test/test.jsp?persistentId=test&q=v"));

	}
}
