package org.kaoriha.jspbp.test;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.security.Principal;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Locale;
import java.util.Map;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletInputStream;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

@SuppressWarnings("unchecked")
public class MockRequest implements HttpServletRequest {
	public String servletPath;
	public String method;
	public Map<String, String[]> parameterMap = new HashMap<String, String[]>();
	public MockSession session = new MockSession();
	public Map<String, Object> attributeMap = new HashMap<String, Object>();

	public MockRequest(String servletPath, String method) {
		super();
		this.servletPath = servletPath;
		this.method = method;
	}

	public String getAuthType() {

		return null;
	}

	public String getContextPath() {

		return null;
	}

	public Cookie[] getCookies() {

		return null;
	}

	public long getDateHeader(String name) {

		return 0;
	}

	public String getHeader(String name) {

		return null;
	}

	public Enumeration getHeaderNames() {

		return null;
	}

	public Enumeration getHeaders(String name) {

		return null;
	}

	public int getIntHeader(String name) {

		return 0;
	}

	public String getMethod() {

		return method;
	}

	public String getPathInfo() {

		return null;
	}

	public String getPathTranslated() {

		return null;
	}

	public String getQueryString() {
		StringBuilder sb = new StringBuilder();
		for (Map.Entry<String, String[]> entry : parameterMap.entrySet()) {
			for (String v : entry.getValue()) {
				sb.append(entry.getKey());
				sb.append("=");
				sb.append(v);
				sb.append("&");
			}
		}
		if (sb.length() > 0) {
			sb.deleteCharAt(sb.length() - 1);
		}
		return sb.toString();
	}

	public String getRemoteUser() {

		return null;
	}

	public String getRequestURI() {

		return "/test" + servletPath;
	}

	public StringBuffer getRequestURL() {

		return null;
	}

	public String getRequestedSessionId() {

		return null;
	}

	public String getServletPath() {

		return servletPath;
	}

	public HttpSession getSession() {

		return session;
	}

	public HttpSession getSession(boolean create) {

		return null;
	}

	public Principal getUserPrincipal() {

		return null;
	}

	public boolean isRequestedSessionIdFromCookie() {

		return false;
	}

	public boolean isRequestedSessionIdFromURL() {

		return false;
	}

	public boolean isRequestedSessionIdFromUrl() {

		return false;
	}

	public boolean isRequestedSessionIdValid() {

		return false;
	}

	public boolean isUserInRole(String role) {

		return false;
	}

	public Object getAttribute(String name) {

		return null;
	}

	public Enumeration getAttributeNames() {

		return null;
	}

	public String getCharacterEncoding() {

		return null;
	}

	public int getContentLength() {

		return 0;
	}

	public String getContentType() {

		return null;
	}

	public ServletInputStream getInputStream() throws IOException {

		return null;
	}

	public String getLocalAddr() {

		return null;
	}

	public String getLocalName() {

		return null;
	}

	public int getLocalPort() {

		return 0;
	}

	public Locale getLocale() {

		return null;
	}

	public Enumeration getLocales() {

		return null;
	}

	public String getParameter(String name) {
		if (parameterMap.get(name) == null) {
			return null;
		}
		return parameterMap.get(name)[0];
	}

	public Map getParameterMap() {

		return parameterMap;
	}

	public Enumeration getParameterNames() {

		return null;
	}

	public String[] getParameterValues(String name) {

		return null;
	}

	public String getProtocol() {

		return null;
	}

	public BufferedReader getReader() throws IOException {

		return null;
	}

	public String getRealPath(String path) {

		return null;
	}

	public String getRemoteAddr() {

		return null;
	}

	public String getRemoteHost() {

		return null;
	}

	public int getRemotePort() {

		return 0;
	}

	public RequestDispatcher getRequestDispatcher(String path) {

		return null;
	}

	public String getScheme() {

		return null;
	}

	public String getServerName() {

		return null;
	}

	public int getServerPort() {

		return 0;
	}

	public boolean isSecure() {

		return false;
	}

	public void removeAttribute(String name) {

	}

	public void setAttribute(String name, Object o) {
		attributeMap.put(name, o);
	}

	public void setCharacterEncoding(String env)
			throws UnsupportedEncodingException {

	}

}
