package org.kaoriha.jspbp.taglib;

import java.io.IOException;
import java.lang.reflect.InvocationTargetException;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.PageContext;

public class SelectTagAttr extends GlobalAttr {
	private String size;
	private String multiple;
	private String disabled;
	private String onchange;

	private String propertyValue;

	@Override
	protected void printPropertyAttr(PageContext pageContext, String name,
			Object value) throws IOException {
		pageContext.getOut().print("name");
		pageContext.getOut().print("=\"");
		pageContext.getOut().print(name);
		pageContext.getOut().print("\" ");

		propertyValue = (String) value;
	}

	public int doStartTag(PageContext pageContext) throws IOException,
			IllegalAccessException, InvocationTargetException,
			NoSuchMethodException, JspException {
		pageContext.getOut().print("<select ");
		printAttrs(pageContext);
		pageContext.getOut().print(">");

		return javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE;
	}

	public void doEndTag(PageContext pageContext) throws IOException {
		pageContext.getOut().print("</select>");
	}

	public String getPropertyValue() {
		return propertyValue;
	}

	public void setPropertyValue(String propertyValue) {
		this.propertyValue = propertyValue;
	}

	public String getSize() {
		return size;
	}

	public void setSize(String size) {
		this.size = size;
	}

	public String getMultiple() {
		return multiple;
	}

	public void setMultiple(String multiple) {
		this.multiple = multiple;
	}

	public String getDisabled() {
		return disabled;
	}

	public void setDisabled(String disabled) {
		this.disabled = disabled;
	}

	public String getOnchange() {
		return onchange;
	}

	public void setOnchange(String onchange) {
		this.onchange = onchange;
	}

}
